/*
 * This file is part of the YSSDWebImage package.
 * (c) Olivier Poitrey <rs@dailymotion.com>
 * (c) Laurin Brandner
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

#import "UIImage+YSGIF.h"
#import "YSSDImageGIFCoder.h"

@implementation UIImage (YSGIF)

+ (nullable UIImage *)yssd_imageWithGIFData:(nullable NSData *)data {
    if (!data) {
        return nil;
    }
    return [[YSSDImageGIFCoder sharedCoder] decodedImageWithData:data options:0];
}

@end
